curl --request GET \
--url https://api.bunny.net/storagezone/{id}/statistics/egress \
--header 'AccessKey: <api-key>'import requests
url = "https://api.bunny.net/storagezone/{id}/statistics/egress"
headers = {"AccessKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};
fetch('https://api.bunny.net/storagezone/{id}/statistics/egress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"HttpEgressChart": {},
"S3EgressChart": {},
"S3PresignedEgressChart": {},
"FtpEgressChart": {},
"SftpEgressChart": {},
"TotalEgressChart": {},
"HttpEgressTotal": 123,
"S3EgressTotal": 123,
"S3PresignedEgressTotal": 123,
"FtpEgressTotal": 123,
"SftpEgressTotal": 123,
"TotalEgress": 123
}{
"ErrorKey": "<string>",
"Field": "<string>",
"Message": "<string>"
}Get Storage Zone Egress Statistics
Authorizations
API Access Key authorization header
Path Parameters
The ID of the storage zone
Query Parameters
(Optional) The start date of the statistics. If no value is passed, the last 30 days will be returned.
(Optional) The end date of the statistics. If no value is passed, the last 30 days will be returned.
(Optional) If true, the statistics data will be returned in hourly groupping.
Response
The egress statistics data for the passed parameters.
Download traffic served over HTTP
Show child attributes
Show child attributes
Download traffic served over S3
Show child attributes
Show child attributes
Download traffic served over presigned S3 URLs
Show child attributes
Show child attributes
Download traffic served over FTP
Show child attributes
Show child attributes
Download traffic served over SFTP
Show child attributes
Show child attributes
Total download traffic across all protocols
Show child attributes
Show child attributes
Total download traffic over HTTP
Total download traffic over S3
Total download traffic over presigned S3 URLs
Total download traffic over FTP
Total download traffic over SFTP
Total download traffic across all protocols